# Generated by Django 5.0.1 on 2024-02-12 20:40

import registration.models
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("registration", "0010_coachregistration_last_degree"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="payment",
            name="registration",
        ),
        migrations.RemoveField(
            model_name="payment",
            name="scholarship_file",
        ),
        migrations.AddField(
            model_name="payment",
            name="amount",
            field=models.PositiveSmallIntegerField(
                default=0,
                help_text="Corresponds to the total required amount to pay, in euros.",
                verbose_name="total amount",
            ),
        ),
        migrations.AddField(
            model_name="payment",
            name="checkout_intent_id",
            field=models.IntegerField(
                blank=True,
                default=None,
                null=True,
                verbose_name="Hello Asso checkout intent ID",
            ),
        ),
        migrations.AddField(
            model_name="payment",
            name="final",
            field=models.BooleanField(
                default=False, verbose_name="for final tournament"
            ),
        ),
        migrations.AddField(
            model_name="payment",
            name="grouped",
            field=models.BooleanField(
                default=False,
                help_text="If set to true, then one payment is made for the full team, for example if the school pays for all.",
                verbose_name="grouped",
            ),
        ),
        migrations.AddField(
            model_name="payment",
            name="receipt",
            field=models.FileField(
                blank=True,
                default="",
                help_text="only if you have a scholarship or if you chose a bank transfer.",
                upload_to=registration.models.get_receipt_filename,
                verbose_name="receipt",
            ),
        ),
        migrations.AddField(
            model_name="payment",
            name="registrations",
            field=models.ManyToManyField(
                related_name="payments",
                to="registration.participantregistration",
                verbose_name="registrations",
            ),
        ),
    ]
